Page MenuHomePhabricator

Allow to select versions of the diff
Closed, ResolvedPublic2 Story Points

Description

Task

  • Add select buttons between the conflicting paragraphs
    • The radio buttons should be positioned as shown in the overall mock
    • When a user selects a version, the border of that radio button should become thicker following OOUI standard. Please make sure to have a thick dark yellow (#AC6600) outline for the left version and a darker blue one (#2A4B8D) for the right version. (See also No 6 on the overall mock)
  • Select "other version" boxes by default
  • Show Please select a version on the first decision option, and not again afterwards. The positioning of the radio buttons does not change because of the headline, instead there might be space between paragraphs (This is the same behavior we already have in the current prototype, see also No 5 on the overall mock)
  • The not chosen paragraph is greyed out (#72777D) (for js)
  • The not chosen paragraph has a less saturated frame ( #FEF6E7 for yellow and #EAF3FF for blue) (for js)

Minimocks
(Note: The wording should be "Please select a version" (see T195719#4319054.)


Event Timeline

Lea_WMDE triaged this task as Normal priority.Jun 26 2018, 1:29 PM
Lea_WMDE created this task.
Lea_WMDE updated the task description. (Show Details)Jul 3 2018, 7:33 AM
JStrodt_WMDE updated the task description. (Show Details)Jul 3 2018, 9:24 AM
Lea_WMDE updated the task description. (Show Details)Jul 4 2018, 2:47 PM
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-07-17 board.

Change 447760 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] [WIP] Add version selection options

https://gerrit.wikimedia.org/r/447760

@Hanna_Petruschat_WMDE in the prototype we did not use explicit colors to mark the unselected columns but just used CSS to lower the opacity of the elements leading to the following result:

Would this be fine or should we rather go for the concrete colors? The screenshot shows a setting of opacity: 0.6; the prototype uses opacity: 0.7; - No hard feelings though. ;-)

In general I try to be consistent with the diff view as seen here:

That does not directly relate to your question but is more of a general remark.

Regarding the opacity:
I cannot see any major disadvantages in reducing the opacity. If it doesn't mess with differently rendered outputs it's fine for me.

WMDE-Fisch changed the point value for this task from 5 to 2.
WMDE-Fisch moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2018-07-31 board.

Change 447760 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Add version selection options

https://gerrit.wikimedia.org/r/447760

JStrodt_WMDE closed this task as Resolved.Aug 14 2018, 1:10 PM
JStrodt_WMDE updated the task description. (Show Details)

Demoed.